#
#  @(#) $Id: Makefile.config,v 1.3 2005/07/27 10:38:55 honda Exp $
# 

#
#  Makefile のシステム依存部分（Xilinx Multimedia Board 用）
# 


#
#  コンパイルフラグ
#
INCLUDES := $(INCLUDES) -I$(SRCDIR)/config/$(CPU)/$(SYS)


# ノーマル
#COPTS    := $(COPTS)    -mxl-soft-mul  -mxl-soft-div

#乗算器
#COPTS    := $(COPTS)    -mno-xl-soft-mul  -mxl-soft-div

#バレルシフタ
#COPTS    := $(COPTS)    -mxl-soft-mul  -mxl-soft-div  -mxl-barrel-shift

#除算器
#COPTS    := $(COPTS)    -mxl-soft-mul  -mno-xl-soft-div  

#乗算器 + バレルシフタ
#COPTS    := $(COPTS)    -mno-xl-soft-mul  -mxl-soft-div  -mxl-barrel-shift

#乗算器 + 除算器
#COPTS    := $(COPTS)    -mno-xl-soft-mul  -mno-xl-soft-div 

#除算器 + バレルシフタ
#COPTS    := $(COPTS)    -mxl-soft-mul  -mno-xl-soft-div  -mxl-barrel-shift


#乗算器 + 除算器 + バレルシフタ 
COPTS    := $(COPTS)    -mno-xl-soft-mul  -mno-xl-soft-div  -mxl-barrel-shift
LIBS    := $(LIBS) -lc_m_bs



LDFLAGS  := $(LDFLAGS) 


#
# カーネルに関する定義
#
KERNEL_DIR     := $(KERNEL_DIR):$(SRCDIR)/config/$(CPU)/$(SYS)
KERNEL_ASMOBJS := $(KERNEL_ASMOBJS) sys_support.o
KERNEL_COBJS   := $(KERNEL_COBJS) sys_config.o 


#
#  各セグメントの開始アドレスの定義
#
TEXT_START_ADDRESS=0x0400
DATA_START_ADDRESS=0x40000000






